/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws;

import org.apache.xmlbeans.XmlObject;

/**
 * A wrapper for an {@link XmlObject}.
 *
 * This class is used as an abstraction layer for XmlBean versioned types to make it possible to handle multiple
 * versions of specs in the code base.
 *
 * @author Ian Springer (ian DOT springer AT hp DOT com)
 */
public interface XmlObjectWrapper
{
   /**
    * Returns the XmlObject which is being wrapped.
    *
    * @return XmlObject which is being wrapped
    */
   XmlObject getXmlObject(  );
}