/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties.faults;

import org.apache.ws.resource.faults.FaultException;
import javax.xml.namespace.QName;

/**
 * A fault exception to be used when a refresh callback operation fails.
 *
 * @author Sal Campana
 */
public class ResourcePropertyRetrievalFailedFaultException
   extends FaultException
{
   /**
    * Creates a new {@link FaultException} object.
    *
    * @param faultCode   DOCUMENT_ME
    * @param faultString DOCUMENT_ME
    */
   public ResourcePropertyRetrievalFailedFaultException( QName  faultCode,
                                                         String faultString )
   {
      super( faultCode, faultString );
   }
}