/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties.v2004_06.porttype;

import org.apache.ws.resource.properties.v2004_06.ResourcePropertiesConstants;
import org.oasisOpen.docs.wsrf.x2004.x06.wsrfWSResourceProperties12Draft01.GetResourcePropertyDocument;
import org.oasisOpen.docs.wsrf.x2004.x06.wsrfWSResourceProperties12Draft01.GetResourcePropertyResponseDocument;
import javax.xml.namespace.QName;

/**
 * The WSRF-RP GetResourceProperty portType.
 */
public interface GetResourcePropertyPortType
{
   /** DOCUMENT_ME */
   QName NAME =
      new QName( ResourcePropertiesConstants.NSURI_WSRP_WSDL, "GetResourceProperty",
                 ResourcePropertiesConstants.NSPREFIX_WSRP_SCHEMA );

   /**
    * Retrieve the value of a single resource property of a WS-Resource.
    *
    * @param requestDoc a GetResourceProperty document XMLBean
    *
    * @return a GetResourcePropertyResponse document XMLBean
    */
   GetResourcePropertyResponseDocument getResourceProperty( GetResourcePropertyDocument requestDoc );
}