/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties.v2004_11.porttype.impl;

import org.apache.ws.resource.NamespaceVersionHolder;
import org.apache.ws.resource.ResourceContext;
import org.apache.ws.resource.properties.ResourceProperty;
import org.apache.ws.resource.properties.impl.AbstractGetResourcePropertiesPortType;
import org.apache.ws.resource.properties.v2004_11.impl.NamespaceVersionHolderImpl;
import org.apache.ws.resource.properties.v2004_11.porttype.GetMultipleResourcePropertiesPortType;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.GetMultipleResourcePropertiesDocument;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.GetMultipleResourcePropertiesResponseDocument;
import javax.xml.namespace.QName;

/**
 * @author Ian Springer
 */
public class GetMultipleResourcePropertiesPortTypeImpl
   extends AbstractGetResourcePropertiesPortType
   implements GetMultipleResourcePropertiesPortType
{
   private static final NamespaceVersionHolder NAMESPACE_SET = new NamespaceVersionHolderImpl(  );

   /**
    * Creates a new {@link GetMultipleResourcePropertiesPortTypeImpl} object.
    *
    * @param resourceContext DOCUMENT_ME
    */
   public GetMultipleResourcePropertiesPortTypeImpl( ResourceContext resourceContext )
   {
      super( resourceContext );
   }

   /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public GetMultipleResourcePropertiesResponseDocument getMultipleResourceProperties( GetMultipleResourcePropertiesDocument requestDoc )
   {
      GetMultipleResourcePropertiesResponseDocument responseDoc = createResponseDocument(  );
      QName[]                                       propNames =
         requestDoc.getGetMultipleResourceProperties(  ).getResourcePropertyArray(  );
      ResourceProperty[]                            props = getMultipleProperties( propNames );
      addPropertiesToResponse( props,
                               responseDoc.getGetMultipleResourcePropertiesResponse(  ) );
      return responseDoc;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   protected NamespaceVersionHolder getNamespaceSet(  )
   {
      return NAMESPACE_SET;
   }

   private GetMultipleResourcePropertiesResponseDocument createResponseDocument(  )
   {
      GetMultipleResourcePropertiesResponseDocument responseDoc =
         GetMultipleResourcePropertiesResponseDocument.Factory.newInstance(  );
      responseDoc.addNewGetMultipleResourcePropertiesResponse(  );
      return responseDoc;
   }
}