/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties.v2004_11.porttype.impl;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.ws.resource.NamespaceVersionHolder;
import org.apache.ws.resource.ResourceContext;
import org.apache.ws.resource.i18n.MessagesImpl;
import org.apache.ws.resource.properties.impl.AbstractResourcePropertiesPortType;
import org.apache.ws.resource.properties.impl.XmlBeansResourcePropertySet;
import org.apache.ws.resource.properties.v2004_11.impl.NamespaceVersionHolderImpl;
import org.apache.ws.resource.properties.v2004_11.porttype.GetResourcePropertyDocumentPortType;
import org.apache.ws.util.XmlBeanUtils;
import org.apache.ws.util.i18n.Messages;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.GetResourcePropertyDocumentDocument1;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.GetResourcePropertyDocumentResponseDocument;

/**
 * @author Sal Campana
 */
public class GetResourcePropertyDocumentPortTypeImpl
   extends AbstractResourcePropertiesPortType
   implements GetResourcePropertyDocumentPortType
{
   private static final Log                    LOG =
      LogFactory.getLog( GetMultipleResourcePropertiesPortTypeImpl.class );
   private static final Messages               MSG           = MessagesImpl.getInstance(  );
   private static final NamespaceVersionHolder NAMESPACE_SET = new NamespaceVersionHolderImpl(  );

   /**
    * Creates a new {@link AbstractResourcePropertiesPortType} object.
    *
    * @param resourceContext DOCUMENT_ME
    */
   public GetResourcePropertyDocumentPortTypeImpl( ResourceContext resourceContext )
   {
      super( resourceContext );
   }

   /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    * @return DOCUMENT_ME
    */
   public GetResourcePropertyDocumentResponseDocument getResourcePropertyDocument( GetResourcePropertyDocumentDocument1 requestDoc )
   {
      GetResourcePropertyDocumentResponseDocument                                     responseDocument =
         createResponseDocument(  );
      GetResourcePropertyDocumentResponseDocument.GetResourcePropertyDocumentResponse responseDoc =
         responseDocument.getGetResourcePropertyDocumentResponse(  );
      XmlBeansResourcePropertySet                                                     properties =
         (XmlBeansResourcePropertySet) getProperties(  );

      XmlBeanUtils.addChildElement( responseDoc,
                                    properties.toXmlObject(  ) );
      return responseDocument;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   protected NamespaceVersionHolder getNamespaceSet(  )
   {
      return NAMESPACE_SET;
   }

   private GetResourcePropertyDocumentResponseDocument createResponseDocument(  )
   {
      GetResourcePropertyDocumentResponseDocument responseDoc =
         GetResourcePropertyDocumentResponseDocument.Factory.newInstance(  );
      responseDoc.addNewGetResourcePropertyDocumentResponse(  );
      return responseDoc;
   }
}