/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.tool.porttype.v2004_09;

import org.apache.ws.resource.metadataexchange.v2004_09.porttype.MetadataExchangePortType;
import org.apache.ws.resource.tool.PortType2JavaInfo;
import javax.xml.namespace.QName;

/**
 * Java mapping info for the WS-MEX MetadataExchange portType.
 */
public class MetadataExchangePortType2JavaInfo
   extends PortType2JavaInfo
{
   /**
    * Returns the name of the portType that this object corresponds to.
    *
    * @return the name of the portType that this object corresponds to
    */
   public QName getName(  )
   {
      return MetadataExchangePortType.NAME;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getServiceInterfaceName(  )
   {
      return MetadataExchangePortType.class.getName(  );
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getServiceTemplateFileName(  )
   {
      return "templates/v2004_09/GetMetadata.txt";
   }
}