/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util;


/**
 * Provides string constants that can be used to set Xalan-specific output
 * properties for a {@link javax.xml.transform.Transformer}, or to retrieve
 * output properties from a Transformer or {@link javax.xml.transform.Templates}
 * object.
 */
public interface XalanOutputKeys
{
   /**
    * DOCUMENT_ME
    */
   String OUTPUT_PROP_INDENT_AMOUNT = "{http://xml.apache.org/xalan}indent-amount";

   /**
    * DOCUMENT_ME
    */
   String OUTPUT_PROP_CONTENT_HANDLER = "{http://xml.apache.org/xalan}content-handler";

   /**
    * DOCUMENT_ME
    */
   String OUTPUT_PROP_ENTITIES = "{http://xml.apache.org/xalan}entities";

   /**
    * DOCUMENT_ME
    */
   String OUTPUT_PROP_USE_URL_ESCAPING = "{http://xml.apache.org/xalan}use-url-escaping";

   /**
    * DOCUMENT_ME
    */
   String OUTPUT_PROP_OMIT_META_TAG = "{http://xml.apache.org/xalan}omit-meta-tag";
}