/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util.jsr109;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * A JSR109 Service Endpoint Interface used for providing a dummy endpoint which is mapped in the JSR109 config files
 * for mapping all service requests to a single method. <br/> This interface is used as the service-endpoint-interface
 * entry in the webservices.xml and the jaxrpc-mapping.xml files for a JSR109 deployment. <br/> The implementation may
 * either be a real implementation or simply a dummy implementation in the case of using the JAX-RPC handler as the
 * actual endpoint. <br/> When using the JAX-RPC handler as the endpoint, the JSR109 config files should contain an
 * entry for the handler.
 *
 * @author Sal Campana
 */
public interface DummyEndpoint
   extends Remote
{
   /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    *
    * @throws RemoteException DOCUMENT_ME
    */
   public javax.xml.soap.SOAPElement processRequest( javax.xml.soap.SOAPElement requestDoc )
   throws RemoteException;
}