/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util.jsr109;

import javax.xml.soap.SOAPElement;
import java.rmi.RemoteException;

/**
 * A dummy Service Endpoint to be configured as the servlet-class in web.xml for a JSR109 deployment of the JAX-RPC
 * handler. <br/> An entry must be made in webservices.xml for the JAX-RPC handler to be registered.  The handler will
 * act as the endpoint for the requests and will always return false, thus never entering this code.
 *
 * @author Sal Campana
 */
public class DummyEndpointImpl
   implements DummyEndpoint
{
   /**
    * This method should never be directly invoked and will always throw a RemoteException. It is merely a placeholder
    * for the JSR109 configuration.
    *
    * @param requestDoc
    *
    * @return nothing; always throws a RemoteException
    *
    * @throws RemoteException whenever called
    */
   public SOAPElement processRequest( SOAPElement requestDoc )
   throws RemoteException
   {
      throw new RemoteException( "The processRequest method was invoked, you should check webservices.xml and make sure the WSRF JAX-RPC handler is configured." );
   }
}