/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util.xml.impl;

import org.apache.ws.util.xml.NamespaceContext;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

/**
 * TODO
 */
public class BasicNamespaceContext
   implements NamespaceContext
{
   private Map prefixToNsMap = Collections.synchronizedMap( new HashMap(  ) );
   private Map nsToPrefixMap = Collections.synchronizedMap( new HashMap(  ) );

   /**
    * DOCUMENT_ME
    *
    * @param prefix DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getNamespaceURI( String prefix )
   {
      return (String) prefixToNsMap.get( prefix );
   }

   /**
    * DOCUMENT_ME
    *
    * @param namespaceURI DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getPrefix( String namespaceURI )
   {
      return (String) nsToPrefixMap.get( namespaceURI );
   }

   /**
    * DOCUMENT_ME
    *
    * @param namespaceURI DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public Iterator getPrefixes( String namespaceURI )
   {
      List   prefixes = new ArrayList(  );
      String prefix = getPrefix( namespaceURI );
      if ( prefix != null )
      {
         prefixes.add( prefix );
      }

      return prefixes.iterator(  );
   }

   /**
    * DOCUMENT_ME
    *
    * @param prefix DOCUMENT_ME
    * @param namespaceURI DOCUMENT_ME
    */
   public void addPrefixToNamespaceURIMapping( String prefix,
                                               String namespaceURI )
   {
      prefixToNsMap.put( prefix, namespaceURI );
      nsToPrefixMap.put( namespaceURI, prefix );
   }
}