/*=============================================================================*
 *  Copyright 2005 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package jacc;

import javax.security.jacc.PolicyConfiguration;
import javax.security.jacc.PolicyContextException;
import java.security.PermissionCollection;
import java.security.Permission;

/**
 * TODO
 */
public class TestPolicyConfiguration implements PolicyConfiguration
{

    private String m_contextID;

    public TestPolicyConfiguration( String contextID )
    {
        m_contextID = contextID;
    }

    public String getContextID() throws PolicyContextException
    {
        return m_contextID;
    }

    public void addToRole( String faultString, PermissionCollection permissionCollection )
            throws PolicyContextException
    {
        System.out.println( "addToRole" );
    }

    public void addToRole( String faultString, Permission permission ) throws PolicyContextException
    {
        System.out.println( "addToRole" );
    }

    public void addToUncheckedPolicy( PermissionCollection permissionCollection ) throws PolicyContextException
    {
        System.out.println( "addToUncheckedPolicy" );
    }

    public void addToUncheckedPolicy( Permission permission ) throws PolicyContextException
    {
        System.out.println( "addToUncheckedPolicy" );
    }

    public void addToExcludedPolicy( PermissionCollection permissionCollection ) throws PolicyContextException
    {
        System.out.println( "addToExcludedPolicy" );
    }

    public void addToExcludedPolicy( Permission permission ) throws PolicyContextException
    {
        System.out.println( "addToExcludedPolicy" );
    }

    public void removeRole( String faultString ) throws PolicyContextException
    {
        System.out.println( "removeRole" );
    }

    public void removeUncheckedPolicy() throws PolicyContextException
    {
        System.out.println( "removeUncheckedPolicy" );
    }

    public void removeExcludedPolicy() throws PolicyContextException
    {
        System.out.println( "removeExcludedPolicy" );
    }

    public void linkConfiguration( PolicyConfiguration policyConfiguration ) throws PolicyContextException
    {
        System.out.println( "linkConfiguration" );
    }

    public void delete() throws PolicyContextException
    {
        System.out.println( "delete" );
    }

    public void commit() throws PolicyContextException
    {
        System.out.println( "commit" );
    }

    public boolean inService() throws PolicyContextException
    {
        return true;
    }

}
